Coda Chang Coda Chang - 5 days ago 4
Linux Question

install opencv 2.4.9 on ubuntu14.01 gave error

I was following this tutorial

http://www.samontab.com/web/2014/06/installing-opencv-2-4-9-in-ubuntu-14-04-lts/

and others tutorial looks similar and I had also tried

everything works fine before I typed


make


and i got this error message like this


make[2]: * No rule to make target
/usr/lib/x86_64-linux-gnu/libGL.so', needed by
lib/libopencv_core.so.2.4.9'. Stop.
make[1]: *
[modules/core/CMakeFiles/opencv_core.dir/all] Error 2
make: *** [all] Error 2


and I also google for this error

but i could not match my problem :(

thank your helping

Answer

after I install this package it works

sudo apt-get install build-essential libgtk2.0-dev libjpeg-dev libtiff4-dev libjasper-dev libopenexr-dev cmake python-dev python-numpy python-tk libtbb-dev libeigen2-dev yasm libfaac-dev libopencore-amrnb-dev libopencore-amrwb-dev libtheora-dev libvorbis-dev libxvidcore-dev libx264-dev libqt4-dev libqt4-opengl-dev sphinx-common texlive-latex-extra libv4l-dev libdc1394-22-dev libavcodec-dev libavformat-dev libswscale-dev